Summary:	Clone of Sega's "Chu Chu Rocket", a multi-player puzzle game
Name:		mures
Version:	0.5
Release:	%mkrel 26
License:	GPLv2
Group:		Games/Arcade
URL:		https://mures.sourceforge.net/
Source0:	https://prdownloads.sourceforge.net/mures/%{name}-%{version}.tar.bz2
Source1:	%{name}-48.xpm
Patch0:		mures-0.5-libm.patch
Patch1:		mures-0.5-fix-fno-common.patch
Patch2:		mures-0.5-gcc14.patch
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(SDL_net)
BuildRequires:	pkgconfig(SDL_ttf)
BuildRequires:	GL-devel
BuildRequires:	texinfo
BuildRequires:	imagemagick
# Author: Adam D'Angelo <dangelo@ntplx.net>

%description
Mures is a cross-platform clone of Sega's "Chu Chu Rocket" written using
C. To start the game, run "mures -hN -aiM" where N and M are the number of
human and computer players at the local computer. Press enter to start the
game, press P to pause, and Q to quit.
- Player 1: Use the mouse to target, and click and drag in the desired
direction to place an arrow.
- Player 2: Use the arrow keys to target, and the number keypad to place
arrows.
- Player 3: Use A,W,S,D to target and I,J,K,L to place arrows.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

mv %{buildroot}%{_bindir}/%{name} %{buildroot}%{_bindir}/%{name}.real
cat << EOF > %{buildroot}%{_bindir}/%{name}
#!/bin/sh

pushd %{_libdir}/%{name}
    %{name}.real --no3d "\$@"
popd
EOF
chmod +x %{buildroot}%{_bindir}/%{name}

mkdir -p %{buildroot}%{_libdir}/%{name}
cp -a src/images src/maps src/sounds src/gui src/*.lua src/textures %{buildroot}%{_libdir}/%{name}
rm -rf %{buildroot}%{_libdir}/%{name}/{*,*/*}/Makefile*

for i in 16 32 48; do
mkdir -p %{buildroot}%{_iconsdir}/hicolor/${i}x${i}/apps

convert -size ${i}x${i} %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/${i}x${i}/apps/%{name}.png
done


# XDG menu
install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Name=Mures
Comment=Clone of Sega's "Chu Chu Rocket", a multi-player puzzle game
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

%files
%doc AUTHORS ChangeLog README TODO
%{_bindir}/*
%{_libdir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/mageia-%{name}.desktop


%changelog
* Thu Oct 17 2024 daviddavid <daviddavid> 0.5-26.mga10
+ Revision: 2107632
- add patches to fix build with GCC 10 and GCC 14

* Fri Apr 01 2022 umeabot <umeabot> 0.5-25.mga9
+ Revision: 1839457
- Mageia 9 Mass Rebuild

* Sun Jul 05 2020 joequant <joequant> 0.5-24.mga8
+ Revision: 1602387
- compile gcc10

* Thu Apr 23 2020 danf <danf> 0.5-23.mga8
+ Revision: 1571482
- Fix Comment= in .desktop file

* Thu Feb 13 2020 umeabot <umeabot> 0.5-22.mga8
+ Revision: 1515259
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.5-21.mga7
+ Revision: 1299651
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Thu Feb 04 2016 umeabot <umeabot> 0.5-20.mga6
+ Revision: 935923
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5-19.mga5
+ Revision: 740721
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5-18.mga5
+ Revision: 682702
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.5-17.mga4
+ Revision: 509123
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 luigiwalser <luigiwalser> 0.5-16.mga3
+ Revision: 362938
- patch Makefile.in instead
- explicitly link math library to fix compilation error
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Mar 23 2011 steletch <steletch> 0.5-14.mga1
+ Revision: 76034
- Clean spec file
- imported package mures


* Sat Feb 05 2011 Funda Wang <fwang@mandriva.org> 0.5-14mdv2011.0
+ Revision: 636321
- rebuild
- tighten BR

* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.5-13mdv2011.0
+ Revision: 606671
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0.5-12mdv2010.1
+ Revision: 523404
- rebuilt for 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.5-11mdv2010.0
+ Revision: 426201
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.5-10mdv2009.1
+ Revision: 351613
- rebuild

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 0.5-9mdv2009.0
+ Revision: 218425
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.5-9mdv2008.1
+ Revision: 153272
- rebuild
- drop old menu
- kill re-definition of %%buildroot on Pixel's request
- buildrequires X11-devel instead of XFree86-devel
- kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Mon Mar 19 2007 Oden Eriksson <oeriksson@mandriva.com> 0.5-7mdv2007.1
+ Revision: 146622
- fix summary

* Sun Mar 18 2007 Oden Eriksson <oeriksson@mandriva.com> 0.5-6mdv2007.1
+ Revision: 146181
- Import mures

* Sun Mar 18 2007 Oden Eriksson <oeriksson@mandriva.com> 0.5-6mdv2007.1
- use the %%mrel macro
- fix xdg menu
- fix icons

* Sun Jan 01 2006 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5-5mdk
- Rebuild

* Mon Sep 06 2004 Michael Scherer <misc@mandrake.org> 0.5-4mdk
- Rebuild

